Index: Makefile.in
===================================================================
RCS file: /cvsroot/squid/squid/src/Makefile.in,v
retrieving revision 1.11
diff -u -p -r1.11 Makefile.in
--- Makefile.in	2001/08/19 10:13:18	1.11
+++ Makefile.in	2001/08/20 04:28:47
@@ -253,12 +253,12 @@ cache_diff: cache_diff.o debug.o globals
 test_cache_digest: test_cache_digest.o CacheDigest.o debug.o globals.o store_key_md5.o
 	$(CC) -o $@ $(LDFLAGS) $@.o CacheDigest.o debug.o globals.o store_key_md5.o $(STD_APP_LIBS)
 
-cache_cf.o: cf_parser.c
+cache_cf.o: cf_parser.h
 
-squid.conf.default: cf_parser.c
+squid.conf.default: cf_parser.h
 	@sh -c "test -f squid.conf.default || ./cf_gen cf.data"
 
-cf_parser.c: cf.data cf_gen
+cf_parser.h: cf.data cf_gen
 	./cf_gen cf.data
 
 cf_gen: cf_gen.o
@@ -424,7 +424,7 @@ install-pinger:
 
 clean: 
 	-rm -rf *.o *pure_* core $(PROGS) $(UTILS) $(CGIPROGS) $(SUID_UTILS)
-	-rm -f cf_gen cf_gen_defines.h cf_parser.c cf.data globals.c string_arrays.c
+	-rm -f cf_gen cf_gen_defines.h cf_parser.h cf.data globals.c string_arrays.c
 	-rm -f store_modules.c repl_modules.c auth_modules.c squid.conf.default
 	@for dir in $(SUBDIRS); do \
 		echo "Making $@ in $$dir..."; \
@@ -443,5 +443,5 @@ distclean:	clean
 tags:
 	ctags *.[ch] ../include/*.h ../lib/*.[ch]
 
-depend: cf_parser.c
+depend: cf_parser.h
 	$(MAKEDEPEND) $(INCLUDE) -fMakefile $(srcdir)/*.c
Index: cache_cf.c
===================================================================
RCS file: /cvsroot/squid/squid/src/cache_cf.c,v
retrieving revision 1.31
diff -u -p -r1.31 cache_cf.c
--- cache_cf.c	2001/08/16 07:39:03	1.31
+++ cache_cf.c	2001/08/20 04:28:49
@@ -2075,7 +2075,7 @@ dump_removalpolicy(StoreEntry * entry, c
 }
 
 
-#include "cf_parser.c"
+#include "cf_parser.h"
 
 peer_t
 parseNeighborType(const char *s)
Index: cf_gen.c
===================================================================
RCS file: /cvsroot/squid/squid/src/cf_gen.c,v
retrieving revision 1.8
diff -u -p -r1.8 cf_gen.c
--- cf_gen.c	2001/08/19 10:13:18	1.8
+++ cf_gen.c	2001/08/20 04:28:50
@@ -2,7 +2,7 @@
 /*
  * $Id: cf_gen.c,v 1.8 2001/08/19 10:13:18 squidadm Exp $
  *
- * DEBUG: none          Generate squid.conf.default and cf_parser.c
+ * DEBUG: none          Generate squid.conf.default and cf_parser.h
  * AUTHOR: Max Okumoto
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -39,7 +39,7 @@
  *		(ie it creates the squid.conf.default file from the cf.data file)
  *
  *		The output files are as follows:
- *		cf_parser.c - this file contains, default_all() which
+ *		cf_parser.h - this file contains, default_all() which
  *			  initializes variables with the default
  *			  values, parse_line() that parses line from
  *			  squid.conf.default, dump_config that dumps the
@@ -76,7 +76,7 @@
 #include "util.h"
 
 #define MAX_LINE	1024	/* longest configuration line */
-#define _PATH_PARSER		"cf_parser.c"
+#define _PATH_PARSER		"cf_parser.h"
 #define _PATH_SQUID_CONF	"squid.conf.default"
 
 enum State {

